Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 34 reacties
Bron: ATi, submitter: Carnifex

ATi logo (kleiner) ATi heeft nieuwe display drivers voor Linux uitgebracht en deze rugnummer 8.26.18 meegegeven. Ze kunnen hun werk doen op alle kaarten vanaf de Radeon 8500 en zijn beschikbaar voor een 32-bits en 64-bits omgeving als closed source-driver. Nieuw in deze release is ondersteuning voor aansluiten van Digital Flat Panels terwijl het OS al geladen is, kan er gereageerd worden op de thermische signalen die door de videokaart worden afgegeven, en zijn er enkele problemen met aticonfig opgelost. Het volledige changelog ziet er als volgt uit:

New Features
  • Hotplug Support for Digital Flat Panels
  • Thermal Event Power Management
Resolved Issues
  • Aticonfig related issues:
    • Spurious 'Option "(null)"' is no longer written to the X Configuration file
    • Using Resolution/vreferesh/hsync options after initiating aticonfig –f no longer fails
    • Options like hsync/vrefresh that use ranges of numbers no longer exit unexpectedly when invoked
Known Issues
  • Attempting to install the ATI Proprietary Linux driver on distributions that have updated certain 3D components outside of the stock XOrg 6.8.2 may result in the driver not initializing 3D applications properly.
  • TV display is corrupt after switching resolutions.
  • TV Out is currently not supported on the ATI Radeon X1x00 products.
  • A system hang may occur when attempting to resume from hibernation mode.
  • Attempting to use 3D applications on Radeon 9000/9100/9200/9250 and FireGL 8x00 products fails to start and reports back something similar to "[fglrx] API ERROR: could not register entrypoint for SelectTextureSGIS".
[break]De volgende downloads zijn beschikbaar:
*ATi Driver Installer version 8.26.18 voor 32-bits versie van Linux
*ATi Driver Installer version 8.26.18 voor 64-bits versie van Linux[break]
ATi Linux Driver logo

Lees meer over

Versienummer:8.26.18
Besturingssystemen:Linux, Linux AMD64, Linux IA-64
Website:ATi
Download:https://support.ati.com/ics/support/KBAnswer.asp?questionID=3380
Bestandsgrootte:22,60MB
Licentietype:Freeware
Moderatie-faq Wijzig weergave

Reacties (34)

Het lijkt de laatste tijd steeds vlugger te gaan. Zouden ze in de gaten krijgen dat linux zo snel groeit?
1)Het os heet linux. Ik denk niet dat Linus nog groeit hoor.
2)Vlug? 2 waardeloze nieuwe features, 3 bug fixes en een lijst gekende bugs die de voorbije jaren alleen maar gegroeid is.(en altijd langer is gebeven als de lijst nieuwe features + opgeloste bugs)
en een lijst gekende bugs die de voorbije jaren alleen maar gegroeid is.
dan heb je toch de vorige 2 releases niet opgelet want daar werden een paar van de know issues in aangepakt.
voor veel mensen zijn de drivers van ATI op linux zelfs goed bruikbaar te noemen.

ze zijn zeker niet prefect maar er zit zeker weer een stijgende lijn in.

edit @ johnny : dat is dus vorige release gefixed inderdaad.
@ yapp : veel mensen gebruiken hun TV out niet.
ik zeg niet dat het geen vervelende bug is maar voor een hoop mensen is het niet echt belangrijk.
ik zeg ook nergens dat het perfect is, maar het is zeker weer bruikbaar te noemen.
Laatste 2 jaar totaal geen problemen meer met de ATI drivers gehad. Een Xorg configuratie gebackuped staan, en na het installeren van de driver en het terugzetten van de configfile doet X het over het algemeen weer prima incl 3d acceleratie.
Gebruik jij geen grafische shell en ctrl+alt switch voor niet-grafische shells dan? moet je voor de gein eens doen en terug switchen naar je grafische (7).
@Johnny: sinds vorige release opgelost dacht ik
Probeer maar eens tv-out aan te zetten, en dan nog te switchen tussen consoles. ;) Of uberhaubt OpenGL te gebruiken als Tv-out aanstaat, ik kreeg allemaal glitches (heb tegenwoordig nvidia) Deze bugs zitten er al 2 jaar in.
Excuus voor die spelfout. En ja ik weet dat het slecht gesteld is met deze drivers. Maar ik kom nog uit de tijd dat je geluk had met 1 release per jaar en nu zie ik er 1 per maand. Ze hadden bij ati een jaar nadat x.org afgesplitst was van xfree nog geen driver die met x.org overweg kon. Toen heb ik dus alle ati kaarten de deur uit gedaan en heb er nvidia's voor terug genomen die me tot nu toe nooit in de steek hebben gelatenn onder linux
Tja, men is overgestapt naar 1 release per maand, net zoals de windows drivers, maar de snelheid van ontwikkeling is echt niet gestegen, de vorige 2 releases waren nog aanvaardbaar te noemen, maar 3 maanden geleden was de enigste echte verandering in de drivers een bug fix voor Q3A |:( .
Nog steeds geen ondersteuning voor x-org 7.1 / x-server 1.0.99 |:( door die ABI change
Nochtans was er support voor 7.0 in de vorige versie: meuktracker: ATi Linux Driver 8.25.18

Lijkt mij sterk dat ze die er terug zouden uitgehaald hebben?
7.0 is anders dan 7.1 hierin zit xorg abi driver systeem in verwerkt en dat werkt iets anders dan xorg 7.0 of eerder.
Jup doet het keurig onder Xorg 7.0 maar zoals de naam al zegt is 7.1 een heel andere versie, waarin de ABI dus veranderd is, en zowel de nvidia als de ati proprietary drivers niet meer werken.
Het zou fijn zijn als ze er ook eens een beschrijving bij deden hoe het te installeren. Kennelijk moet je Linux guru zijn wat ATi betreft en anders geen mooie grafische beelden willen.

Het is gewoon een 'as is' verhaal en zie maar hoe je het aan de praat krijgt. Enig idee hoe lang ik heb moeten zoeken in de forums om een beetje idee te krijgen hoe deze driver te installeren en configureren ?
onder ubuntu werkte ze eigenlijk meteen.
gewoon geinstallerd met apt-get, niks moeilijk doen.
Oh? Welke repository heb je hier voor nodig dan? Hij zit bij mijn weten niet in de standaard bronnen...

edit:

net even gecheckt - in de 'officiciŽle' repositories is de laatste versie nog altijd 8.25.18...
je heb linux-restricted-modules voor jouw kernel nodig, daar zit o.a. ook de nvidia driver en madwifi (voor atheros wlan chips) in.
hah!
ik ben blij dat ik deze prut niet meer nodig heb sinds ik geheel op de opensource drivers ben overgegaan

inc direct rendering voor mijn x700 :)

dus ik kan wel gewoon xorg 7.1 draaien

overigens kan je dat bereiken dmv de r300 driver die helaas nog wel alpha of beta is
Daarmee krijg ik helaas een vreselijk lage framerate in glxgears, terwijl glxinfo zegt dat DRI enabled is.
Ik gebruik een radeon 9600, dus dat zou moeten gaan.
Heb je een howto ofzo hoe je die geÔnstalleerd hebt?
Zeker weten dat je ook de AGP snelheid hebt opgegeven in de driver sectie? Standaard staat ie namelijk op 1x.
re: op avdh36.
Hier ben ik het nu helemaal mee eens, onder SUSE was het via Yast mogelijk om de Nvidia drivers te installeren maar in de nieuwe versie 10.1 is dat er zelfs weer vrolijk uitgesloopt. Nu moet je net zoals de ATI drivers dit doen via de commando regel. (als je weet hoe het moet is het overigens niet zo heel moeilijk) maar Yast heeft bewezen dat het WEL grafisch kan dus waarom kan ATI en Nvidia daar niet eens mee bezig gaan. Dit zal voor menig " gewone" Linux gebruiker erg prettig zijn. :)
Voor de nvidia driver is het easy met ubuntu:

je installeert met behulp van synaptic/adept (de packagemanager; heeft dezelfde functie als yast, maar dan fors beter) het pakketje "nvidia-glx". Daarna wordt je root in de console en typ je in "nvidia-xconfig". Daarna log je uit, druk je Ctrl + Alt + Backspace in en log je opnieuw in, en voila, nvidia drivers geinstalleerd en ready to go.
ATI drivers het zelfde hoor.
ook minstens zo makelijk en het werkte ook meteen.
zelfs op mijn X1900 dus (op de TV out na dan, maar dat staat ook in de release notes)
Toch vraag ik mezelf telkens af waarom de nieuwste Xorg bij Nvidia wel werkt en bij ATi niet, ondanks de driver van Nvidia eerder uitkwam dan de Xorg versie...
Omdat het niet waar is of omdat je belangrijke zaken als de render acceleratie uit hebt staan. In dat geval doet de nieuwste nvidia driver het inderdaad wel onder 7.1.
render acceleratie staat standaard aan sinds 87xx. als je je font opties goed insteld heb je geen problemen met de nvidia driver: hinting op 'full' en smoothing op 'subpixel' werkt prima bij mij. alleen krijg ik in wine applicaties geen fonts meer, maar het aantal keer per jaar dat ik dat gebruik is toch de moeite niet om bij een oude X te blijven.
Heb de knoop eindelijk doorgehakt. Toch maar een nvidia kaartje op de kop getikt. Dit wordt op korte termijn toch niets. M'n pc blijft random crashes houden, al wordt 't beter (heb een xpress200). Maar als ik compiz/xgl activeer (w00t!) duurt 't maar 5-10 minuten. En laat ik nou zojuist besloten hebben dat ik niet zonder dat kan leven ;) En laat ik 't maar niet over de prestaties hebben.

Voorlopig geen ati meer voor mij
xgl werkt ook onder nvidia nog erg traag. volgens mij doet het nu alles in software totdat nvidia met die nieuwe GL extensie komt (ben de naam vergeten), die zowel AIGLX en XGL nodig hebben.
ik zit zelf meer te wachten op AIGLX, want dat is een heel stuk cleaner. geen rare x-in-x constructies en alles geimplementeerd in bestaande systemen, zoals xorg en metacity. alleen jammer dat het enige wat ik er nog van heb gezien een blauw scherm met effecten was (zonder die GL extensie wordt alles blauw). als ik die effecten zie kan ik niet wachten tot het werkt met m'n echte desktop (vooral die vensters die kapot spatten als glas als je ze afsluit zagen er heel vet uit) :)
Sowieso zit je met AIGLX of XGL in de problemen met (iig de oudere) ATI videokaarten. De 3D engine van die kaarten doet 2048x2048 max, wat erop neerkomt dat je met een dualscreen opstelling van 2x(1280x1024) daar overheen zit in de horizontale resolutie. Nvidia kaarten doen max 4096x4096 AFAIK, dus hebben die er geen last van.
voor hen die er (opnieuw) achter komen dat hun 3d accelleratie op de oude 9000 t/m 9250 Radeon kaarten niet meer werkt, doe dit:

download deze libGL.so.1.2 uit de oude drivers
vervang de nieuwe versie uit 8.25/8.26 in je /usr/lib met dit bestand, restart je dm et voila
voor zover ik had begrepen hebben de radeons tot aan 9200 volledige hardware acceleratie met de open source driver van xorg.
Wanneer zou mijn AIW AIW 9700 pro eens gaan werken onder LINUX?
upgraden naar deze versie heeft er bij mij voor gezorgd dat gnome blijft hangen op het inschakelen van de screensaver (wanneer het scherm naar zwart fade). erg irritant.

voor de rest loopt het net zo goed/slecht als 8.25 voor zover ik kan zien.

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True